Skip to content
Start here

Get Gateway URL

GET/accounts/{account_id}/ai-gateway/gateways/{gateway_id}/url/{provider}

Retrieves the endpoint URL for an AI Gateway.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
AI Gateway WriteAI Gateway Read
Path ParametersExpand Collapse
account_id: string
gateway_id: string

gateway id

maxLength64
minLength1
provider: string
ReturnsExpand Collapse
result: string
success: boolean

Get Gateway URL

curl https://api.cloudflare.com/client/v4/accounts/$ACCOUNT_ID/ai-gateway/gateways/$GATEWAY_ID/url/$PROVIDER \
    -H "Authorization: Bearer $CLOUDFLARE_API_TOKEN"
{
  "result": "result",
  "success": true
}
Returns Examples
{
  "result": "result",
  "success": true
}